List recent audits
const url = 'http://127.0.0.1:8080/v1/audits?category=egress';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'http://127.0.0.1:8080/v1/audits?category=egress' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Audit category.
Audit category to list. Omit to include all supported categories.
Runtime UUID or display name filter.
Maximum number of audits to return.
Responses
Section titled “ Responses ”List response envelope.
List response envelope.
object
Audit response object.
object
Audit category.
Externally tagged audit payload. Exactly one category property is present.
object
Egress audit payload. The kind identifies which concrete payload property is present.
object
Egress audit kind.
Redacted egress TCP connection audit payload.
object
Egress audit action.
Redacted egress HTTP request audit payload.
object
Egress audit action.
Aggregated ICMP drop audit payload.
object
Egress audit action.
Example
{ "data": [ { "category": "egress", "payload": { "egress": { "kind": "tcp_connection", "tcp_connection": { "action": "allow" }, "http_request": { "action": "allow" }, "icmp_drop": { "action": "allow" } } } } ]}Missing, malformed, or rejected bearer token
object
object
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Example
{ "error": { "code": "already_exists" }}default
Section titled “default ”Error response
object
object
Example
{ "error": { "code": "already_exists" }}